Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class Layer

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseElement
              com.gwtext.client.core.ExtElement
                  com.gwtext.client.widgets.Layer

All Implemented Interfaces:
  Fx

    public class Layer

extends ExtElement

An extended `ExtElement` object that supports a shadow and shim, constrain to viewport and automatic maintaining of shadow/shim positions.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`Layer(com.google.gwt.core.client.JavaScriptObject jsObj)`
`Layer(LayerConfig config)` Create a new Layer.
`Layer(LayerConfig config, com.google.gwt.user.client.Element existingEl)` Create a new Layer.

Method Summary
`static Layer` | `instance(com.google.gwt.core.client.JavaScriptObject jsObj)`
`void` | `setZIndex(int zindex)` Sets the z-index of this layer and adjusts any shadow and shim z-indexes.

Methods inherited from class com.gwtext.client.core.ExtElement
`appendChild, appendTo, blur, boxWrap, boxWrap, center, center, child, clearPositioning, clearPositioning, contains, createChild, createChild, createProxy, createProxy, createProxy, createProxy, down, findParent, findParent, findParent, findParentNode, findParentNode, fly, fly, focus, get, getAlignToXY, getAlignToXY, getAnchorXY, getAnchorXY, getAttributeNS, getBorderWidth, getBottom, getBox, getBox, getCenterXY, getClientWidth, getColor, getColor, getComputedHeight, getComputedWidth, getDOM, getFirstChild, getFrameWidth, getHeight, getHeight, getLeft, getLeft, getMargins, getPadding, getParentNode, getPositioning, getRegion, getScroll, getSize, getStyle, getTop, getTop, getUpdateManager, getValue, getValueAsNumber, getViewSize, getWidth, getWidth, getX, getXY, getY, hasClass, insertAfter, insertBefore, insertFirst, insertFirst, insertHtmlAfterBegin, insertHtmlAfterEnd, insertHtmlBeforeBegin, insertHtmlBeforeEnd, insertSibling, insertSibling, insertSibling, insertSibling, is, isBorderBox, isDisplayed, isMasked, isScrollable, isVisible, isVisible, mask, mask, mask, mask, next, next, position, position, prev, prev, query, removeChild, replace, scrollIntoView, scrollIntoView, select, select, setPositioning, setScrollTop, translatePoints, unclip, unmask, up, up, up, update`

Methods inherited from class com.gwtext.client.core.BaseElement
`addClass, addClass, addClassOnClick, addClassOnFocus, addClassOnOver, addClassOnOver, addKeyListener, addKeyListener, addKeyListener, addKeyMap, addListener, addListener, alignTo, alignTo, anchorTo, anchorTo, animate, animate, applyStyles, autoHeight, autoHeight, clean, clean, clearOpacity, clip, createShim, enableDisplayMode, enableDisplayMode, fadeIn, fadeIn, fadeOut, fadeOut, frame, frame, ghost, ghost, hasActiveFx, hasFxBlock, hide, hide, hide, highlight, highlight, highlight, move, move, move, moveTo, moveTo, moveTo, pause, puff, puff, radioClass, radioClass, remove, removeAllListeners, removeClass, removeClass, repaint, replaceClass, scale, scale, scroll, scroll, scrollTo, scrollTo, sequenceFx, setBottom, setBounds, setBounds, setBounds, setBox, setBox, setBox, setDisplayed, setHeight, setHeight, setLeft, setLeftTop, setLocation, setLocation, setOpacity, setOpacity, setRegion, setRegion, setRight, setSize, setSize, setStyle, setStyles, setTop, setVisibilityMode, setVisible, setVisible, setVisible, setWidth, setWidth, setWidth, setX, setX, setXY, setXY, setY, setY, shift, show, show, slideIn, slideIn, slideOut, slideOut, stopFx, swallowEvent, swallowEvent, switchOff, switchOff, syncFx, toggle, toggle, toggleClass, unselectable, update, update, wrap`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Layer

    public Layer(LayerConfig config)

  Create a new Layer.

  Parameters:
    `config` - the layer config

### Layer

    public Layer(LayerConfig config,
                 com.google.gwt.user.client.Element existingEl)

  Create a new Layer.

  Parameters:
    `config` - the layer config
    `existingEl` - an existing element

### Layer

    public Layer(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### instance

    public static Layer instance(com.google.gwt.core.client.JavaScriptObject jsObj)

### setZIndex

    public void setZIndex(int zindex)

  Sets the z-index of this layer and adjusts any shadow and shim z-indexes. The layer z-index is automatically incremented by two more than the value passed in so that it always shows above any shadow or shim (the shadow element, if any, will be assigned z-index + 1, and the shim element, if any, will be assigned the unmodified z-index).

  Parameters:
    `zindex` - the z index

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD